:root {
	--padding-full: 32px;
	--padding-half: 16px;
	--bg: #000;	
	--plaintext: #3e9cdc;
	--bordercolor: #3e9cdc;
	--titlecolor: #fff;
	--links: #fc4;
	--visited: #aaa;
	--pagewidth: 100%;
}

body {
	font-family: tahoma, verdana, arial, sans-serif;
	font-size: 18px;
	background: var(--bg);
	text-align: justify;
	color: var(--plaintext);
	padding: 0px;
	max-width: 900px;
	margin: auto;
}

.backtrack
{
	text-align: right;
}

.updateinfo
{
	font-style: italic;
	font-size: 90%;
	margin-bottom: 0px;
}

.page {
	border-top: solid 2px #000;
}


.intro, .title, main, footer, .hometitle
{
	max-width: var(--pagewidth);
	display:block;
	margin:auto;
}

.intro
{
	clear: both;
}

.pages dl article {
	margin-bottom: 4px;
	margin-top: 8px;
	min-height: 64px;
}

.pages dd {
	margin-left: 90px;
	height: 32px;
}

.pages dt {
	margin-left: 6px;
}

.pages dt figure {
	width: 64px;
	height: 64px;
	margin: 0;
	margin-left: 0px;
	margin-right: 8px;
	overflow: hidden;
	display: flex;
	align-items: center;    
	justify-content: center;
	float: left;            
}

.pages dt img {
	margin-left: 0px;
	max-width: 97%;
	max-height: 97%;
	object-fit: contain;
	display: block;
}

header figure
{
	float: left;
	width: 128px;
	height: 128px;
	margin: auto;
	margin-right: 20px;
	display: block;
}

.title, .hometitle
{
	min-height: 128px;
	margin-bottom: 40px;
	padding-bottom: 0px;
}
.hometitle
{
	text-align: right;
}

main {
	padding: var(--padding-half) var(--padding-full);

}

header {
	border-top: 4px solid var(--bordercolor);
 	padding: var(--padding-full) var(--padding-full) var(--padding-half) var(--padding-full);
	min-height: 128px;
	padding-bottom: 0px;
}
header img {
//	min-width: 128px;
	width: auto;
	height: 128px;
}
footer {
	border-top: 4px solid var(--bordercolor);
	text-align: center ;
	padding: 4px;
}

h2,h3,h4,h5,h6 {
	text-transform: uppercase;
	font-weight: normal;
	font-size: 115%;
	margin: 0px;
	color: var(--titlecolor);
}

h1 {
	padding: 4px;
	font-size: 140%;
	font-weight: normal;
	margin: auto;//0px;
	display: block;
	max-width: var(--pagewidth);
	color: var(--titlecolor);
	text-align: right;
}
h1:before{
	content: ""
}
h1:after{
	content: ""
}

dd {
	margin-left: 30px;
}

.tagline {
	font-style: italic;
}

section {
//	border-top: 1px solid var(--bordercolor);
//	padding-top: 20px;
	margin: 16px 0px 32px 0px;
}
.pages, .posts {
	border-top: 1px solid var(--bordercolor);
}
.pages h2, .posts h2 {
	margin-top:30px;
}

a {
	color: var(--links);
	//text-decoration: none;
	font-style: normal;
	font-weight: bold;
}

.illustration {
	max-width: 700px;
	margin: auto;
	display: block;
}
a:visited {
	color: var(--visited);
}

a:hover {
	color: var(--bg);
	background: var(--links);
}
@media screen and (orientation: portrait) and (hover: none) and (pointer: coarse)
{
	body { font-size: 5vw; }
}

@media screen and (max-width: 600px)
{
	body { text-align: left; }
}
